# Methods

## Overview

`base_url=https://www.labii.dev/`

## Common Methods

## \* List

<mark style="color:blue;">`GET`</mark> `/[app]/[table]/list/{level}/{sid}/{serializer}/`

Querying a list of objects. See here (<https://docs.labii.com/api/overview>) for more details of app and table. The Parameters of Request and Response apply to all List Get methods.

#### Path Parameters

| Name       | Type   | Description                                               |
| ---------- | ------ | --------------------------------------------------------- |
| level      | string | Read more at <https://docs.labii.com/api/overview#levels> |
| sid        | string | Read more at <https://docs.labii.com/api/overview#url>    |
| serializer | string | Read more at <https://docs.labii.com/api/overview#url>    |

#### Headers

| Name  | Type   | Description            |
| ----- | ------ | ---------------------- |
| token | string | Authentification token |

{% tabs %}
{% tab title="401 " %}

```
Authentication credentials were not provided.
```

{% endtab %}

{% tab title="403 " %}

```
You do not have permission to perform this action.
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.labii.com/api/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
